VirtualBox Main API

Public Attributes | List of all members
IFsObjInfo Interface Reference

Abstract parent interface for VirtualBox file system object information. More...

Inheritance diagram for IFsObjInfo:

## Public Attributes
readonly attribute long long | accessTime
| Time of last access (st_atime). More...
readonly attribute long long | allocatedSize
| Disk allocation size (st_blocks * DEV_BSIZE). More...
readonly attribute long long | birthTime
| Time of file birth (st_birthtime). More...
readonly attribute long long | changeTime
| Time of last status change (st_ctime). More...
readonly attribute unsigned long | deviceNumber
| The device number of a character or block device type object (st_rdev). More...
readonly attribute wstring | fileAttributes
| File attributes. More...
readonly attribute unsigned long | generationId
| The current generation number (st_gen). More...
readonly attribute unsigned long | GID
| The group the filesystem object is assigned (st_gid). More...
readonly attribute wstring | groupName
| The group name. More...
readonly attribute unsigned long | hardLinks
| Number of hard links to this filesystem object (st_nlink). More...
readonly attribute long long | modificationTime
| Time of last data modification (st_mtime). More...
readonly attribute wstring | name
| The object's name. More...
readonly attribute long long | nodeId
| The unique identifier (within the filesystem) of this filesystem object (st_ino). More...
readonly attribute unsigned long | nodeIdDevice
| The device number of the device which this filesystem object resides on (st_dev). More...
readonly attribute long long | objectSize
| The logical size (st_size). More...
readonly attribute FsObjType | type
| The object type. More...
readonly attribute unsigned long | UID
| The user owning the filesystem object (st_uid). More...
readonly attribute unsigned long | userFlags
| User flags (st_flags). More...
readonly attribute wstring | userName
| The user name. More...

## Detailed Description

Abstract parent interface for VirtualBox file system object information.

This can be information about a file or a directory, for example.

Interface ID:
  `{D344626E-4B0A-10BC-9C2B-68973052DE16}`

## Member Data Documentation

## ◆ accessTime

readonly attribute long long IFsObjInfo::accessTime

Time of last access (st_atime).

## ◆ allocatedSize

readonly attribute long long IFsObjInfo::allocatedSize

Disk allocation size (st_blocks * DEV_BSIZE).

## ◆ birthTime

readonly attribute long long IFsObjInfo::birthTime

Time of file birth (st_birthtime).

## ◆ changeTime

readonly attribute long long IFsObjInfo::changeTime

Time of last status change (st_ctime).

## ◆ deviceNumber

readonly attribute unsigned long IFsObjInfo::deviceNumber

The device number of a character or block device type object (st_rdev).

## ◆ fileAttributes

readonly attribute wstring IFsObjInfo::fileAttributes

File attributes.

Not implemented yet.

## ◆ generationId

readonly attribute unsigned long IFsObjInfo::generationId

The current generation number (st_gen).

## ◆ GID

readonly attribute unsigned long IFsObjInfo::GID

The group the filesystem object is assigned (st_gid).

## ◆ groupName

readonly attribute wstring IFsObjInfo::groupName

The group name.

## ◆ hardLinks

readonly attribute unsigned long IFsObjInfo::hardLinks

Number of hard links to this filesystem object (st_nlink).

## ◆ modificationTime

readonly attribute long long IFsObjInfo::modificationTime

Time of last data modification (st_mtime).

## ◆ name

readonly attribute wstring IFsObjInfo::name

The object's name.

## ◆ nodeId

readonly attribute long long IFsObjInfo::nodeId

The unique identifier (within the filesystem) of this filesystem object (st_ino).

## ◆ nodeIdDevice

readonly attribute unsigned long IFsObjInfo::nodeIdDevice

The device number of the device which this filesystem object resides on (st_dev).

## ◆ objectSize

readonly attribute long long IFsObjInfo::objectSize

The logical size (st_size).

For normal files this is the size of the file. For symbolic links, this is the length of the path name contained in the symbolic link. For other objects this fields needs to be specified.

## ◆ type

readonly attribute FsObjType IFsObjInfo::type

The object type.

See FsObjType for more.

## ◆ UID

readonly attribute unsigned long IFsObjInfo::UID

The user owning the filesystem object (st_uid).

## ◆ userFlags

readonly attribute unsigned long IFsObjInfo::userFlags

User flags (st_flags).

## ◆ userName

readonly attribute wstring IFsObjInfo::userName

The user name.